org.jfree.chart.urls

## Class StandardXYURLGenerator

- java.lang.Object
- - org.jfree.chart.urls.StandardXYURLGenerator

- All Implemented Interfaces:
    java.io.Serializable, XYURLGenerator

      public class StandardXYURLGenerator
      extends java.lang.Object
      implements XYURLGenerator, java.io.Serializable

  A URL generator.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_ITEM_PARAMETER` The default item parameter.
    `static java.lang.String` | `DEFAULT_PREFIX` The default prefix.
    `static java.lang.String` | `DEFAULT_SERIES_PARAMETER` The default series parameter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardXYURLGenerator()` Creates a new default generator.
    `StandardXYURLGenerator(java.lang.String prefix)` Creates a new generator with the specified prefix.
    `StandardXYURLGenerator(java.lang.String prefix, java.lang.String seriesParameterName, java.lang.String itemParameterName)` Constructor that overrides all the defaults

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this generator for equality with an arbitrary object.
    `java.lang.String` | `generateURL(XYDataset dataset, int series, int item)` Generates a URL for a particular item within a series.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PREFIX

          public static final java.lang.String DEFAULT_PREFIX

      The default prefix.
      See Also:
        Constant Field Values

    - #### DEFAULT_SERIES_PARAMETER

          public static final java.lang.String DEFAULT_SERIES_PARAMETER

      The default series parameter.
      See Also:
        Constant Field Values

    - #### DEFAULT_ITEM_PARAMETER

          public static final java.lang.String DEFAULT_ITEM_PARAMETER

      The default item parameter.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardXYURLGenerator

          public StandardXYURLGenerator()

      Creates a new default generator. This constructor is equivalent to calling `StandardXYURLGenerator("index.html", "series", "item");` .

    - #### StandardXYURLGenerator

          public StandardXYURLGenerator(java.lang.String prefix)

      Creates a new generator with the specified prefix. This constructor is equivalent to calling `StandardXYURLGenerator(prefix, "series", "item");`.
      Parameters:
        `prefix` - the prefix to the URL (`null` not permitted).

    - #### StandardXYURLGenerator

          public StandardXYURLGenerator(java.lang.String prefix,
                                        java.lang.String seriesParameterName,
                                        java.lang.String itemParameterName)

      Constructor that overrides all the defaults
      Parameters:
        `prefix` - the prefix to the URL (`null` not permitted).
        `seriesParameterName` - the name of the series parameter to go in each URL (`null` not permitted).
        `itemParameterName` - the name of the item parameter to go in each URL (`null` not permitted).

  - ### Method Detail

    - #### generateURL

          public java.lang.String generateURL(XYDataset dataset,
                                              int series,
                                              int item)

      Generates a URL for a particular item within a series.
      Specified by:
        `generateURL` in interface `XYURLGenerator`
      Parameters:
        `dataset` - the dataset.
        `series` - the series number (zero-based index).
        `item` - the item number (zero-based index).
      Returns:
        The generated URL.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this generator for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.